#	ZXMedia: ZX Spectrum file format manipulation library
#	Copyright (C) 2004 Matthew Westcott
#	
#	This file is part of ZXMedia.
#	
#	ZXMedia is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License version 2, as
#	published by the Free Software Foundation.
#	
#	ZXMedia is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#	
#	You should have received a copy of the GNU General Public License
#	along with ZXMedia; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	Contact address: Matthew Westcott, 14 Daisy Hill Drive, Adlington,
#	Chorley, Lancs. PR6 9NE, United Kingdom

module ZXMedia
	class HardwareCapability
		# This is a collection of values to denote a tape's support for a given item of hardware.
		# The 'Hardware Type' block of the TZX format consists of a set of these objects.
		# TODO: Provide symbolic constants for the values used here

		attr_reader(:hardware_type, :hardware_id, :support_status)
		attr_writer(:hardware_type, :hardware_id, :support_status)

		def initialize(hardware_type, hardware_id, support_status)
			@hardware_type = hardware_type
			@hardware_id = hardware_id
			@support_status = support_status
		end
		
	end # HardwareCapability
end # ZXMedia