module ZXMedia
	class HardwareTypeTapeBlock < Block
		# This tape-specific block type lists the hardware supported by this tape.
		# Internally, this list is an array of HardwareCapability objects.

		attr_reader :capabilities

		def initialize(capabilities = [])
			@capabilities = capabilities
		end
		
		def write_tzx_block(io)
			io.putc 0x33
			io.putc @capabilities.size
			capabilities.each { |capability|
				io.putc capability.hardware_type
				io.putc capability.hardware_id
				io.putc capability.support_status
			}
		end

		def write_tap_block(io)
			# this block can sensibly be dropped without warning when writing to TAP
		end

		def preserves_tape_loading_continuity?
			true
		end

		def to_s
			"Hardware type (#{@capabilities.size} entries)"
		end

	end # HardwareTypeTapeBlock
end # ZXMedia