#	ZXMedia: ZX Spectrum file format manipulation library
#	Copyright (C) 2004 Matthew Westcott
#	
#	This file is part of ZXMedia.
#	
#	ZXMedia is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License version 2, as
#	published by the Free Software Foundation.
#	
#	ZXMedia is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#	
#	You should have received a copy of the GNU General Public License
#	along with ZXMedia; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	Contact address: Matthew Westcott, 14 Daisy Hill Drive, Adlington,
#	Chorley, Lancs. PR6 9NE, United Kingdom

module ZXMedia
	def ZXMedia.read_tap(io)
		medium = Medium.new
		begin
			until io.eof?
				length = io.readchar + (io.readchar << 8)
				data = []
				length.times do
					data << io.readchar
				end
				medium.blocks << StandardSpeedTapeBlock.new(data)
			end
		rescue EOFError
			$stderr << "Warning: Unexpected end of file, discarding incomplete final block\n"
		end

		medium.consolidate

	end # read_tap
end # ZXMedia
